## AgsApplySF2MidiLocale

AgsApplySF2MidiLocale — apply Soundfont2 synth template

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsApplySF2MidiLocale * | ags_apply_sf2_midi_locale_new ()

## Properties

gpointer | synth | Read / Write
gpointer | synth-template | Read / Write
gpointer | synth | Read / Write
gpointer | synth-template | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsApplySF2MidiLocale

## Includes

    #include <ags/audio/task/ags_apply_sf2_midi_locale.h>

## Description

The AgsApplySF2MidiLocale task apply the specified Soundfont2 synth template.

## Functions

### ags_apply_sf2_midi_locale_new ()

    AgsApplySF2MidiLocale *
    ags_apply_sf2_midi_locale_new (AgsSF2SynthUtil *synth_template,
                                   AgsSF2SynthUtil *synth);

Creates an AgsApplySF2MidiLocale.

#### Parameters

synth_template | the synth template |
synth | the synth |

#### Returns

an new AgsApplySF2MidiLocale.

Since: 3.16.0

## Property Details

### The `“synth”` property

      “synth”                    gpointer

The synth to apply.

Owner: AgsApplySF2MidiLocale

Flags: Read / Write

Since: 3.16.0

### The `“synth-template”` property

      “synth-template”           gpointer

The synth template to apply.

Owner: AgsApplySF2MidiLocale

Flags: Read / Write

Since: 3.16.0

### The `“synth”` property

      “synth”                    gpointer

The synth to apply.

Owner: AgsApplySF2MidiLocale

Flags: Read / Write

Since: 3.16.0

### The `“synth-template”` property

      “synth-template”           gpointer

The synth template to apply.

Owner: AgsApplySF2MidiLocale

Flags: Read / Write

Since: 3.16.0